summaryrefslogtreecommitdiffstats
path: root/games/yabause
diff options
context:
space:
mode:
author Larry Hajali <larryhaja[at]gmail[dot]com>2010-05-12 23:29:39 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:29:39 +0200
commit2f02251229ef935ce23079b9311f92d875d592e7 (patch)
treee8cc62f3bb82241c643c4fe0bc1bdb7cd93380cb /games/yabause
parent2ee6efb7ac6524023c4cdefe0d7ad1e42d91713d (diff)
downloadslackbuilds-2f02251229ef935ce23079b9311f92d875d592e7.tar.gz
slackbuilds-2f02251229ef935ce23079b9311f92d875d592e7.tar.xz
games/yabause: Added to 12.2 repository
Diffstat (limited to 'games/yabause')
-rw-r--r--games/yabause/README23
-rw-r--r--games/yabause/doinst.sh4
-rw-r--r--games/yabause/slack-desc19
-rw-r--r--games/yabause/yabause.SlackBuild88
-rw-r--r--games/yabause/yabause.info8
5 files changed, 142 insertions, 0 deletions
diff --git a/games/yabause/README b/games/yabause/README
new file mode 100644
index 0000000000..ef6d56de67
--- /dev/null
+++ b/games/yabause/README
@@ -0,0 +1,23 @@
+Yabause is a Sega Saturn emulator. It has the following features:
+ * booting games from CD-ROM and ISO files
+ * booting games with either an emulated or original BIOS
+ * screenshot support
+ * savegame backups
+ * cheat system
+ * fullscreen playing
+ * multiple debugging options
+ * joystick support
+ * region select
+
+Requires: gtkglext
+
+Optional: mini18n, OpenAL and Qt4.
+
+By default the gtk interface is built. If you would like to build
+the Qt4 interface then pass HAVE_QT4=yes to the slackbuild. This
+additionally makes Qt4 a requirement.
+
+For translation support install mini18n.
+
+Before using Yabause, you need to configure a few things in
+the Preferences dialog (File>Settings).
diff --git a/games/yabause/doinst.sh b/games/yabause/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/games/yabause/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/games/yabause/slack-desc b/games/yabause/slack-desc
new file mode 100644
index 0000000000..e1b3493e6a
--- /dev/null
+++ b/games/yabause/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+yabause: yabause (Sega Saturn emulator)
+yabause:
+yabause: Yabause is a Sega Saturn emulator.
+yabause: Yabause supports booting games using Saturn cds or iso files.
+yabause:
+yabause: Homepage: http://yabause.org/
+yabause:
+yabause:
+yabause:
+yabause:
+yabause:
diff --git a/games/yabause/yabause.SlackBuild b/games/yabause/yabause.SlackBuild
new file mode 100644
index 0000000000..a6b8fdaf20
--- /dev/null
+++ b/games/yabause/yabause.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for yabause
+
+# Written by Larry Hajali <larryhaja[at]gmail[dot]com>
+
+PRGNAM=yabause
+VERSION=${VERSION:-0.9.10}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# Variable to determine gtk/qt4 interface.
+HAVE_QT4=${HAVE_QT4:-no}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Determine if the user wants to use the gtk/qt4 interface.
+if [ "${HAVE_QT4}" == "yes" ]; then
+ USE_PORT="qt"
+else
+ USE_PORT="gtk"
+fi
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --enable-network \
+ --enable-mic-shaders \
+ --enable-perkeyname \
+ --disable-dependency-tracking \
+ --with-x \
+ --with-q68 \
+ --with-port=${USE_PORT} \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS ChangeLog COPYING GOALS INSTALL README{,.LIN,.QT} TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/yabause/yabause.info b/games/yabause/yabause.info
new file mode 100644
index 0000000000..185c246721
--- /dev/null
+++ b/games/yabause/yabause.info
@@ -0,0 +1,8 @@
+PRGNAM="yabause"
+VERSION="0.9.10"
+HOMEPAGE="http://yabause.org/"
+DOWNLOAD="http://downloads.sourceforge.net/yabause/yabause-0.9.10.tar.gz"
+MD5SUM="7e39dd1eb37539d8f24e644fd52a72a7"
+MAINTAINER="Larry Hajali"
+EMAIL="larryhaja[at]gmail[dot]com"
+APPROVED="rworkman"